cURL
curl --request DELETE \ --url https://us.infisical.com/api/v4/secrets/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "projectId": "<string>", "environment": "<string>", "secrets": [ { "secretKey": "<string>", "type": "shared" } ], "secretPath": "/" } '
{ "secrets": [ { "id": "<string>", "_id": "<string>", "workspace": "<string>", "environment": "<string>", "version": 123, "type": "<string>", "secretKey": "<string>", "secretValue": "<string>", "secretComment": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "secretValueHidden": true, "secretReminderNote": "<string>", "secretReminderRepeatDays": 123, "skipMultilineEncoding": false, "actor": { "actorId": "<string>", "actorType": "<string>", "name": "<string>", "membershipId": "<string>", "groupId": "<string>" }, "isRotatedSecret": true, "rotationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ] }
Delete many secrets
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
An access token in Infisical
The ID of the project where the secret is located.
The slug of the environment where the secret is located.
1
Show child attributes
The path of the secret.
Default Response
Was this page helpful?